## libosmosdr 0.1.8.effcaa7

=== CMakeLists.txt ===
# Copyright 2012 OSMOCOM Project
#
# This file is part of OsmoSDR
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(osmosdr C)

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

########################################################################
# Compiler specific setup
########################################################################
if(CMAKE_COMPILER_IS_GNUCC AND NOT WIN32)
    ADD_DEFINITIONS(-Wall)
    ADD_DEFINITIONS(-Wextra)
    ADD_DEFINITIONS(-Wno-unused)
    ADD_DEFINITIONS(-Wsign-compare)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

########################################################################
# Find build dependencies
########################################################################
find_package(PkgConfig)
find_package(LibUSB)

if(NOT LIBUSB_FOUND)
    message(FATAL_ERROR "LibUSB 1.0 required to compile OsmoSDR")
endif()

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${LIBUSB_INCLUDE_DIR}
)

#link_directories(
#    ...
#)

# Set component parameters
#set(INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Install udev rules
########################################################################
option(INSTALL_UDEV_RULES "Install udev rules for OsmoSDR" OFF)
if (INSTALL_UDEV_RULES)
    install (
        FILES osmosdr.rules
        DESTINATION "/etc/udev/rules.d"
        COMPONENT "udev"
        )
else (INSTALL_UDEV_RULES)
    message (STATUS "Udev rules not being installed, install them with -DINSTALL_UDEV_RULES=ON")
endif (INSTALL_UDEV_RULES)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include)
add_subdirectory(src)

########################################################################
# Create Pkg Config File
########################################################################
FOREACH(inc ${LIBUSB_INCLUDE_DIR})
    LIST(APPEND OSMOSDR_PC_CFLAGS "-I${inc}")
ENDFOREACH(inc)

FOREACH(lib ${LIBUSB_LIBRARY_DIRS})
    LIST(APPEND OSMOSDR_PC_LIBS "-L${lib}")
ENDFOREACH(lib)

# use space-separation format for the pc file
STRING(REPLACE ";" " " OSMOSDR_PC_CFLAGS "${OSMOSDR_PC_CFLAGS}")
STRING(REPLACE ";" " " OSMOSDR_PC_LIBS "${OSMOSDR_PC_LIBS}")

# unset these vars to avoid hard-coded paths to cross environment
IF(CMAKE_CROSSCOMPILING)
    UNSET(OSMOSDR_PC_CFLAGS)
    UNSET(OSMOSDR_PC_LIBS)
ENDIF(CMAKE_CROSSCOMPILING)

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix \${prefix})
set(libdir \${exec_prefix}/lib)
set(includedir \${prefix}/include)

CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/libosmosdr.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/libosmosdr.pc
@ONLY)

INSTALL(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libosmosdr.pc
    DESTINATION lib/pkgconfig
)

=== include/CMakeLists.txt ===
# Copyright 2012 OSMOCOM Project
#
# This file is part of OsmoSDR
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
install(FILES
    osmosdr.h
    osmosdr_export.h
    DESTINATION include
)

=== src/CMakeLists.txt ===
# Copyright 2012 OSMOCOM Project
#
# This file is part of OsmoSDR
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup library
########################################################################
add_library(osmosdr_shared SHARED
    libosmosdr.c
)

target_link_libraries(osmosdr_shared
    ${LIBUSB_LIBRARIES}
)

set_target_properties(osmosdr_shared PROPERTIES DEFINE_SYMBOL "osmosdr_EXPORTS")
set_target_properties(osmosdr_shared PROPERTIES OUTPUT_NAME osmosdr)
set_target_properties(osmosdr_shared PROPERTIES SOVERSION 0 VERSION 0.0.0)

add_library(osmosdr_static STATIC
    libosmosdr.c
)

target_link_libraries(osmosdr_static
    ${LIBUSB_LIBRARIES}
)

set_property(TARGET osmosdr_static APPEND PROPERTY COMPILE_DEFINITIONS "osmosdr_STATIC" )

if(NOT WIN32)
# Force same library filename for static and shared variants of the library
set_target_properties(osmosdr_static PROPERTIES OUTPUT_NAME osmosdr)
endif()

########################################################################
# Build utility
########################################################################
add_executable(osmo_sdr osmo_sdr.c)
target_link_libraries(osmo_sdr osmosdr_static
    ${LIBUSB_LIBRARIES}
)

if(WIN32)
set_property(TARGET osmo_sdr APPEND PROPERTY COMPILE_DEFINITIONS "osmosdr_STATIC" )
endif()

########################################################################
# Install built library files & utilities
########################################################################
install(TARGETS osmosdr_shared osmosdr_static osmo_sdr
    LIBRARY DESTINATION lib${LIB_SUFFIX} # .so/.dylib file
    ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file
    RUNTIME DESTINATION bin              # .dll file
)

## libosmosdr 0.1.7.cd37e9

=== debian/changelog ===
libosmosdr (0.1.7.cd37e9-2) unstable; urgency=low

  * Use kfreebsd libusb

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 02 Nov 2013 20:10:06 -0400

libosmosdr (0.1.7.cd37e9-1) unstable; urgency=low

  * New package (Closes: #724965)
  * Match GNU Radio live distribution 2013-0926

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 29 Sep 2013 22:43:43 -0400

=== debian/control ===
Source: libosmosdr
Section: libs
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9.0.0~), cmake,
 libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any]
Standards-Version: 3.9.4
Homepage: http://sdr.osmocom.org/trac/
Vcs-Git: git://git.osmocom.org/osmo-sdr
Vcs-Browser: http://cgit.osmocom.org/osmo-sdr/

Package: libosmosdr-dev
Section: libdevel
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: libosmosdr0 (= ${binary:Version}), ${misc:Depends}
Description: Software defined radio support for OsmoSDR hardware (library)
 OsmoSDR is a 100% Free Software based small form-factor inexpensive
 SDR (Software Defined Radio) project.
 .
 The hardware part of OsmoSDR brings information from an antenna connector
 to a USB plug.
 .
 This package is the software that provides control of the USB hardware
 and an API to pass data to software defined radio applications on the host.
 .
 This package contains development files.

Package: libosmosdr0
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Software defined radio support for OsmoSDR hardware (development files)
 OsmoSDR is a 100% Free Software based small form-factor inexpensive
 SDR (Software Defined Radio) project.
 .
 The hardware part of OsmoSDR brings information from an antenna connector
 to a USB plug.
 .
 This package is the software that provides control of the USB hardware
 and an API to pass data to software defined radio applications on the host.
 .
 This package contains the shared library.
 
Package: osmo-sdr
Section: libs
Architecture: any
Depends: libosmosdr0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Software defined radio support for OsmoSDR hardware (tools)
 OsmoSDR is a 100% Free Software based small form-factor inexpensive
 SDR (Software Defined Radio) project.
 .
 The hardware part of OsmoSDR brings information from an antenna connector
 to a USB plug.
 .
 This package is the software that provides control of the USB hardware
 and an API to pass data to software defined radio applications on the host.
 .
 This package contains a set of command line utilities:

## libosmosdr 0.1.8.effcaa7

=== debian/changelog ===
libosmosdr (0.1.8.effcaa7-7) unstable; urgency=medium

  * build on kfreebsd-any

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 28 Apr 2016 23:26:19 -0400

libosmosdr (0.1.8.effcaa7-6) unstable; urgency=medium

  * update to v0.1-10-gba4fd96
  * more lintian fixes

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 26 Apr 2016 22:04:23 -0400

libosmosdr (0.1.8.effcaa7-5) unstable; urgency=medium

  * lintian fixes

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 25 Nov 2015 22:12:17 -0500

libosmosdr (0.1.8.effcaa7-4) unstable; urgency=low

  * fix short descriptions (Closes: #798667)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 11 Sep 2015 23:26:51 -0400

libosmosdr (0.1.8.effcaa7-3) unstable; urgency=low

  * really update Vcs-*

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 10 Sep 2015 21:50:09 -0400

libosmosdr (0.1.8.effcaa7-2) unstable; urgency=medium

  * add watch file, update Vcs-* 

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 10 Sep 2015 17:35:46 -0400

libosmosdr (0.1.8.effcaa7-1) unstable; urgency=low

  * Update, use pkg-config

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 12 Apr 2014 10:48:02 -0400

libosmosdr (0.1.7.cd37e9-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 21 Jan 2014 20:19:34 -0500

=== debian/control ===
Source: libosmosdr
Section: libs
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               libusb-1.0-0-dev [linux-any],
               libusb-dev [hurd-i386],
               libusb2-dev [kfreebsd-any],
               pkg-config
Standards-Version: 3.9.6
Homepage: http://sdr.osmocom.org/trac/
Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-libosmosdr.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-libosmosdr.git/

Package: libosmosdr-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libosmosdr0 (= ${binary:Version}), ${misc:Depends}
Description: Software defined radio support for OsmoSDR hardware (development files)
 OsmoSDR is a 100% Free Software based small form-factor inexpensive
 SDR (Software Defined Radio) project.
 .
 The hardware part of OsmoSDR brings information from an antenna connector
 to a USB plug.
 .
 This package is the software that provides control of the USB hardware
 and an API to pass data to software defined radio applications on the host.
 .
 This package contains development files.

Package: libosmosdr0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Software defined radio support for OsmoSDR hardware (library)
 OsmoSDR is a 100% Free Software based small form-factor inexpensive
 SDR (Software Defined Radio) project.
 .
 The hardware part of OsmoSDR brings information from an antenna connector
 to a USB plug.
 .
 This package is the software that provides control of the USB hardware
 and an API to pass data to software defined radio applications on the host.
 .
 This package contains the shared library.

Package: osmo-sdr
Architecture: any
Depends: libosmosdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Software defined radio support for OsmoSDR hardware (tools)
 OsmoSDR is a 100% Free Software based small form-factor inexpensive
 SDR (Software Defined Radio) project.
 .
 The hardware part of OsmoSDR brings information from an antenna connector
 to a USB plug.
 .
 This package is the software that provides control of the USB hardware
 and an API to pass data to software defined radio applications on the host.
 .
 This package contains a set of command line utilities:

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@

override_dh_auto_configure: debian/librtlsdr0.udev
	dh_auto_configure -- -DLIB_INSTALL_DIR=lib/$(DEB_HOST_MULTIARCH)

debian/librtlsdr0.udev: osmosdr.rules
	cp -p osmosdr.rules debian/libosmosdr0.udev

=== debian/watch ===
version=3
opts="downloadurlmangle=s/refs\/tags/snapshot/,uversionmangle=s|(.*)git|1|" \
 http://cgit.osmocom.org/osmo-sdr/refs/tags /osmo-sdr/snapshot/osmo-sdr-(\d.*)\.tar\.xz
